Imports System
Imports System.ComponentModel

Imports DevExpress.Xpo
Imports DevExpress.Data.Filtering

Imports DevExpress.ExpressApp
Imports DevExpress.Persistent.Base
Imports DevExpress.Persistent.BaseImpl
Imports DevExpress.Persistent.Validation

<DefaultClassOptions()> _
<NonPersistent()> _
<NavigationItem(False), CreatableItem(False)> _
Public Class CloseWorkSheet_SubcontractorpopUp
    Inherits BaseObject

    Private _WorkSheetFile As FileData
    Private _SubcontractorInvoice As FileData
    Private _Description As String
    Private _DateClosed As Date


    Public Sub New(ByVal session As Session)
        MyBase.New(session)
    End Sub
    Public Overrides Sub AfterConstruction()
        MyBase.AfterConstruction()
    End Sub

    Property WorkSheetFile As FileData
        Get
            Return _WorkSheetFile
        End Get
        Set(value As FileData)
            SetPropertyValue("WorkSheetFile", _WorkSheetFile, value)
        End Set
    End Property
    Property SubcontractorInvoice As FileData
        Get
            Return _SubcontractorInvoice
        End Get
        Set(value As FileData)
            SetPropertyValue("SubcontractorInvoice", _SubcontractorInvoice, value)
        End Set
    End Property
    <Size(-1)> _
    Property Description As String
        Get
            Return _Description
        End Get
        Set(value As String)
            SetPropertyValue("Description", _Description, value)
        End Set
    End Property
    Property DateClosed As Date
        Get
            Return _DateClosed
        End Get
        Set(value As Date)
            SetPropertyValue("DateClosed", _DateClosed, value)
        End Set
    End Property

End Class

